import request from '@/utils/request'

// 查询故障监控列表
export function listFaultMonitor(query) {
  return request({
    url: '/fault/faultMonitor/list',
    method: 'get',
    params: query
  })
}

// 查询故障监控详细
export function getFaultMonitor(id) {
  return request({
    url: '/fault/faultMonitor/' + id,
    method: 'get'
  })
}

// 新增故障监控
export function addFaultMonitor(data) {
  return request({
    url: '/fault/faultMonitor',
    method: 'post',
    data: data
  })
}

// 修改故障监控
export function updateFaultMonitor(data) {
  return request({
    url: '/fault/faultMonitor',
    method: 'put',
    data: data
  })
}

// 删除故障监控
export function delFaultMonitor(id) {
  return request({
    url: '/fault/faultMonitor/' + id,
    method: 'delete'
  })
}
